//Gメニュー
var bnrBtn = $('#g_navi');
var menuOpen = false;
var $header = $('header');
var scrollpos;

$('.bg_bl').hide();

var ttt = false;

$(function(){
        $(".menu_btn").on("click", function() {
	if(ttt == false) {
          bnrBtn.stop().fadeIn();
          menuOpen = true;
		  $('.bg_bl').fadeIn();
		  scrollpos = $(window).scrollTop();
	        $(".menu_btn").addClass('opened');
	  ttt = true;
	} else {
		bnrBtn.stop().fadeOut();
          menuOpen = false;
		  $('.bg_bl').fadeOut();
		  $(".menu_btn").removeClass('opened');
      window.scrollTo( 0 , scrollpos );
	  ttt = false;
	}
        });
});


$(window).scroll(function () {
		 if ($(window).scrollTop() > 30) {
                $header.addClass('fixed');
            } else {
                $header.removeClass('fixed');
            }
});



// ローディング処理

window.onload = function() {
  const spinner = document.getElementById('loading');
  spinner.classList.add('loaded');
	$('.grid').toggleClass('animated');
	$('.grid-item').each(function(index) {
  var delay = 0.1 * index;
  $(this).css({
    'transition-delay': delay+'s'
  });
});
   
}
